org.keycloak.dom.xmlsec.w3.xmlenc

## Class EncryptionPropertyType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmlenc.EncryptionPropertyType

-     public class EncryptionPropertyType
      extends Object

  Java class for EncryptionPropertyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EncryptionPropertyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded">
               <any/>
             </choice>
             <attribute name="Target" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected URI` | `target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptionPropertyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOtherAttribute(QName key, String val)`
    `void` | `addOtherAttributes(Map<QName,String> otherMap)`
    `String` | `getId()` Gets the value of the id property.
    `Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
    `URI` | `getTarget()` Gets the value of the target property.
    `void` | `removeOtherAttribute(QName key)`
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setTarget(URI value)` Sets the value of the target property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### target

          protected URI target

    - #### id

          protected String id

  - ### Constructor Detail

    - #### EncryptionPropertyType

          public EncryptionPropertyType()

  - ### Method Detail

    - #### getTarget

          public URI getTarget()

      Gets the value of the target property.
      Returns:
        possible object is `URI`

    - #### setTarget

          public void setTarget(URI value)

      Sets the value of the target property.
      Parameters:
        `value` - allowed object is `URI`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### addOtherAttribute

          public void addOtherAttribute(QName key,
                                        String val)

    - #### addOtherAttributes

          public void addOtherAttributes(Map<QName,String> otherMap)

    - #### removeOtherAttribute

          public void removeOtherAttribute(QName key)

    - #### getOtherAttributes

          public Map<QName,String> getOtherAttributes()

      Gets a map that contains attributes that aren't bound to any typed property on this class.
      Returns:
        always non-null

Copyright © 2016 JBoss by Red Hat. All rights reserved.